require 'colorize'

module Metaverse
  class Errors
    def self.config_not_found!
      abort ".meta.yml file was not found in the current working directory. Exiting ...".red
    end

    def self.ref_not_found ref
      return Exception.new "Reference '#{ref}' does not exist.".red
    end

    def self.remote_not_found remote
      puts "Remote '#{remote}' does not exist. Skipping ...".red
    end

    def self.remote_exists remote
      puts "Remote '#{remote}' exists already. Skipping ...".red
    end
  end
end